Bug 154850 - Alert message
Alert message
Status: RESOLVED WONTFIX
Product: cnd
Classification: Unclassified
Component: -- Other --
6.x
All All
: P3 (vote)
: TBD
Assigned To: issues@cnd
issues@cnd
:
: 156177 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-06 22:58 UTC by skarllot
Modified: 2009-01-11 17:33 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
Error screenshot (272.88 KB, image/png)
2008-12-06 23:00 UTC, skarllot
Details

Note You need to log in before you can comment on or make changes to this bug.
Description skarllot 2008-12-06 22:58:26 UTC
When I try to type anything on the first time I get an alert message.
Editor log:

-------------------------------------------------------------------------------
>Log Session: Saturday, December 6, 2008 7:52:39 PM GMT-03:00
>System Info: 
  Product Version         = NetBeans IDE 6.5 (Build 200811100001)
  Operating System        = Linux version 2.6.27.5-41.fc9.x86_64 running on amd64
  Java; VM; Vendor        = 1.6.0; OpenJDK 64-Bit Server VM 1.6.0-b09; Sun Microsystems Inc.
  Runtime                 = OpenJDK  Runtime Environment 1.6.0-b09
  Java Home               = /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre
  System Locale; Encoding = pt_BR (nb); UTF-8
  Home Directory          = /home/fabricio
  Current Directory       = /home/fabricio
  User Directory          = /home/fabricio/.netbeans/6.5
  Installation            = /usr/local/netbeans-6.5/nb6.5
                            /usr/local/netbeans-6.5/ide10
                            /usr/local/netbeans-6.5/websvccommon1
                            /usr/local/netbeans-6.5/gsf1
                            /usr/local/netbeans-6.5/cnd2
                            /usr/local/netbeans-6.5/platform9
  Boot & Ext. Classpath   =
/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/resources.jar:/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/rt.jar:/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/sunrsasign.jar:/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/jsse.jar:/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/jce.jar:/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/charsets.jar:/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/classes:/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/ext/sunjce_provider.jar:/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/ext/localedata.jar:/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/ext/dnsns.jar:/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/ext/gnome-java-bridge.jar:/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/ext/sunpkcs11.jar
  Application Classpath   =
/usr/local/netbeans-6.5/platform9/lib/boot.jar:/usr/local/netbeans-6.5/platform9/lib/org-openide-modules.jar:/usr/local/netbeans-6.5/platform9/lib/org-openide-util.jar:/usr/local/netbeans-6.5/platform9/lib/locale/boot_ja.jar:/usr/local/netbeans-6.5/platform9/lib/locale/boot_pt_BR.jar:/usr/local/netbeans-6.5/platform9/lib/locale/boot_zh_CN.jar:/usr/local/netbeans-6.5/platform9/lib/locale/org-openide-modules_ja.jar:/usr/local/netbeans-6.5/platform9/lib/locale/org-openide-modules_pt_BR.jar:/usr/local/netbeans-6.5/platform9/lib/locale/org-openide-modules_zh_CN.jar:/usr/local/netbeans-6.5/platform9/lib/locale/org-openide-util_ja.jar:/usr/local/netbeans-6.5/platform9/lib/locale/org-openide-util_pt_BR.jar:/usr/local/netbeans-6.5/platform9/lib/locale/org-openide-util_zh_CN.jar:/usr/lib/jvm/java/lib/dt.jar:/usr/lib/jvm/java/lib/tools.jar
  Startup Classpath       =
/usr/local/netbeans-6.5/platform9/core/core.jar:/usr/local/netbeans-6.5/platform9/core/org-openide-filesystems.jar:/usr/local/netbeans-6.5/platform9/core/locale/core_zh_CN.jar:/usr/local/netbeans-6.5/platform9/core/locale/core_ja.jar:/usr/local/netbeans-6.5/platform9/core/locale/core_pt_BR.jar:/usr/local/netbeans-6.5/platform9/core/locale/org-openide-filesystems_pt_BR.jar:/usr/local/netbeans-6.5/platform9/core/locale/org-openide-filesystems_ja.jar:/usr/local/netbeans-6.5/platform9/core/locale/org-openide-filesystems_zh_CN.jar:/usr/local/netbeans-6.5/nb6.5/core/org-netbeans-upgrader.jar:/usr/local/netbeans-6.5/nb6.5/core/locale/org-netbeans-upgrader_zh_CN.jar:/usr/local/netbeans-6.5/nb6.5/core/locale/core_nb_ja.jar:/usr/local/netbeans-6.5/nb6.5/core/locale/core_nb_zh_CN.jar:/usr/local/netbeans-6.5/nb6.5/core/locale/org-netbeans-upgrader_ja.jar:/usr/local/netbeans-6.5/nb6.5/core/locale/org-netbeans-upgrader_pt_BR.jar:/usr/local/netbeans-6.5/nb6.5/core/locale/core_nb.jar:/usr/local/netbeans-6.5/nb6.5/core/locale/core_nb_pt_BR.jar
-------------------------------------------------------------------------------
WARNING [org.netbeans.core.modules]: the module org.netbeans.modules.xml.text uses
org.netbeans.modules.editor.deprecated.pre61completion which is deprecated.
WARNING [org.netbeans.core.modules]: the module org.netbeans.modules.cnd uses
org.netbeans.modules.editor.deprecated.pre61settings which is deprecated.
WARNING [org.netbeans.core.modules]: the module org.netbeans.modules.cnd uses org.openide.options which is deprecated:
Use preferivelmente org.openide.util.NbPreferences.
WARNING [org.netbeans.core.modules]: the module org.netbeans.modules.db uses org.openide.options which is deprecated:
Use preferivelmente org.openide.util.NbPreferences.
WARNING [org.netbeans.core.modules]: the module org.netbeans.modules.cnd.completion uses
org.netbeans.modules.editor.deprecated.pre61completion which is deprecated.
WARNING [org.openide.filesystems.Ordering]: Not all children in Services/DiffProviders/ marked with the position
attribute: [org-netbeans-modules-diff-cmdline-CmdlineDiffProvider.settings], but some are:
[org-netbeans-modules-diff-builtin-provider-BuiltInDiffProvider.settings]
INFO [org.netbeans.core.startup.NbEvents]: Ativando módulos:
        org.openide.util [7.18.1.1 1 200811100001]
        org.openide.modules [7.7.1 200811100001]
        org.openide.awt [7.3.1.1 200811100001]
        org.openide.filesystems [7.13.1.1.1 1 200811100001]
        org.netbeans.modules.queries/1 [1.13.1 200811100001]
        org.jdesktop.layout/1 [1.6.1 1.0.3 200811100001]
        org.netbeans.api.progress/1 [1.12.1.1 1 200811100001]
        org.openide.dialogs [7.8.1 200811100001]
        org.netbeans.swing.outline [1.1.1 200811100001]
        org.openide.nodes [7.7.1.1 200811100001]
        org.openide.explorer [6.16.1 1 200811100001]
        org.openide.windows [6.24.1 200811100001]
        org.netbeans.modules.editor.mimelookup/1 [1.10.1 200811100001]
        org.openide.text [6.21.1 200811100001]
        org.openide.actions [6.8.1.1 200811100001]
        org.openide.loaders [7.2.1 200811100001]
        org.netbeans.modules.projectapi/1 [1.19.1 200811100001]
        org.netbeans.modules.projectuiapi/1 [1.31.1.6 6 200811100001]
        org.netbeans.modules.project.libraries/1 [1.19.1 200811100001]
        org.netbeans.modules.servletapi/1 [1.13.1 200811100001]
        org.netbeans.modules.websvc.saas.services.twitter [1.1.1 200811100001]
        org.openide.io [1.13.1 200811100001]
        org.openide.execution [1.12.1 200811100001]
        org.netbeans.api.java.classpath/1 [1.18.1 200811100001]
        org.netbeans.libs.jaxb/1 [1.3.1 200811100001]
        org.netbeans.modules.websvc.jaxws21api/1 [1.3.1 200811100001]
        org.netbeans.modules.websvc.jaxws21/1 [1.3.1 200811100001]
        org.netbeans.spi.quicksearch [1.0.1 200811100001]
        org.netbeans.modules.options.api/1 [1.10.1 200811100001]
        org.netbeans.api.visual [2.17.1 200811100001]
        org.netbeans.modules.antlr/1 [1.4 200811100001]
        org.netbeans.api.java/1 [1.18.1 200811100001]
        org.netbeans.modules.uml.dom4jlib [1.4 200811100001]
        org.netbeans.modules.uml/1 [1.4 200811100001]
        org.netbeans.modules.uml.documentation/1 [1.4 200811100001]
        org.netbeans.modules.uml.propertysupport/1 [1.4 200811100001]
        org.netbeans.api.debugger/1 [1.14.1 200811100001]
        org.netbeans.modules.java.preprocessorbridge [1.6.1.1 1 200811100001]
        org.netbeans.api.xml/1 [1.16.1 200811100001]
        org.apache.xml.resolver [1.4.1 1.2 200811100001]
        org.netbeans.modules.xml.catalog/2 [1.14.1.4 4 200811100001]
        org.netbeans.modules.project.ant/1 [1.26.1 200811100001]
        org.netbeans.modules.classfile/1 [1.21.1 200811100001]
        org.netbeans.libs.jsr223/1 [1.8.1 6 200811100001]
        org.netbeans.modules.templates [1.3.1 200811100001]
        org.netbeans.spi.navigator/1 [1.7.1 200811100001]
        org.apache.tools.ant.module/3 [3.32.1.2 2 200811100001]
        org.openidex.util/3 [3.15.1 200811100001]
        org.netbeans.modules.java.platform/1 [1.11.1 200811100001]
        org.netbeans.modules.java.project/1 [1.22.1 200811100001]
        org.netbeans.modules.uml.project/1 [1.4 200811100001]
        org.netbeans.modules.uml.samples [1.2 200811100001]
        org.netbeans.modules.xml.xam/1 [1.4.1 1 200811100001]
        org.netbeans.modules.xml.schema.model/1 [1.4.1 1 200811100001]
        org.netbeans.modules.xml.wsdl.model/1 [1.4.1 1 200811100001]
        org.netbeans.modules.java.j2seplatform/1 [1.11.1 200811100001]
        org.netbeans.modules.uml.widgets/1 [1.0 200811100001]
        org.netbeans.libs.bytelist/1 [0.1.1 1 200811100001]
        org.netbeans.libs.jvyamlb/1 [0.2.4 1 200811100001]
        org.netbeans.modules.editor.util/1 [1.25.1 200811100001]
        org.netbeans.modules.lexer/2 [1.29.1.1 1 200811100001]
        org.netbeans.modules.cnd.lexer/1 [1.1.1 200811100001]
        org.netbeans.modules.editor.settings/1 [1.22.1 200811100001]
        org.netbeans.modules.editor.lib2/1 [1.8.1.2 2 200811100001]
        org.netbeans.modules.editor.fold/1 [1.9.1 200811100001]
        org.netbeans.modules.editor.lib/1 [1.29.1.8.2 8 200811100001]
        org.netbeans.modules.editor.indent/2 [1.9.1.8 200811100001]
        org.netbeans.spi.viewmodel/2 [1.15.1 200811100001]
        org.netbeans.swing.tabcontrol [1.13.1 200811100001]
        org.netbeans.modules.editor/3 [1.41.1.3.8.2 3 200811100001]
        org.netbeans.modules.editor.settings.storage/1 [1.18.1 200811100001]
        org.netbeans.modules.editor.completion/1 [1.13.1 1 200811100001]
        org.netbeans.modules.editor.errorstripe.api/1 [2.5.1.1 1 200811100001]
        org.netbeans.modules.editor.bracesmatching/0 [1.6.1 200811100001]
        org.netbeans.modules.languages/0 [1.90.1.1 1 200811100001]
        org.netbeans.modules.languages.diff [1.6.1 200811100001]
        org.netbeans.modules.image/1 [1.21.1 200811100001]
        org.netbeans.modules.xml.core/2 [1.15.1.4 4 200811100001]
        org.netbeans.modules.xml.lexer [1.3.1 200811100001]
        org.netbeans.modules.xml.xdm/1 [1.4.1 1 200811100001]
        org.openide.options [6.9.1 200811100001]
        org.netbeans.modules.editor.deprecated.pre61settings/0 [1.1.0.1.3.8 1 200811100001]
        org.netbeans.modules.editor.deprecated.pre61completion/0 [1.0.1 200811100001]
        org.netbeans.modules.editor.structure/1 [1.17.1.1 1 200811100001]
        org.netbeans.modules.xml.text/2 [1.16.1.5 5 200811100001]
        org.netbeans.modules.xml.retriever/1 [1.3.1 200811100001]
        org.netbeans.spi.editor.hints/0 [1.5.1.6.2 6 200811100001]
        org.netbeans.modules.gsf.api/2 [1.8.1.1.6 1 200811100001]
        org.netbeans.modules.languages.yaml [2.0.1 200811100001]
        org.netbeans.bootstrap/1 [2.15.1 200811100001]
        org.netbeans.core.startup/1 [1.14.1.1 200811100001]
        org.netbeans.swing.plaf [1.8.1 200811100001]
        org.netbeans.core/2 [3.10.1.1 200811100001]
        org.netbeans.modules.gsfpath.api/1 [0.36.1 200811100001]
        org.netbeans.modules.html.lexer/1 [1.3.1 200811100001]
        org.netbeans.modules.editor.errorstripe/2 [2.5.1.1.1 1 200811100001]
        org.netbeans.modules.javahelp/1 [2.11.1 200811100001]
        org.netbeans.modules.options.keymap [1.4.1 200811100001]
        org.netbeans.modules.options.editor/1 [1.10.1 200811100001]
        org.netbeans.modules.diff/1 [1.20.1.42.1 42 200811100001]
        org.netbeans.modules.editor.codetemplates/1 [1.9.1.1.6 1 200811100001]
        org.netbeans.libs.lucene/1 [2.4.1 2.3.2 200811100001]
        org.netbeans.core.ui/1 [1.12.1 200811100001]
        org.netbeans.modules.jumpto/1 [1.7.1 200811100001]
        org.netbeans.modules.editor.guards/1 [1.2.1 200811100001]
        org.netbeans.modules.refactoring.api [1.4.1 200811100001]
        org.netbeans.spi.tasklist/1 [1.2.1 1 200811100001]
        org.netbeans.modules.gsf/2 [0.75.1.2.1.1.6 2 200811100001]
        org.netbeans.modules.css.editor/1 [1.1.1 200811100001]
        org.netbeans.modules.html.editor.lib/1 [1.8.1 200811100001]
        org.netbeans.modules.html.editor/1 [1.10.1.2 200811100001]
        org.mozilla.rhino.patched/1 [1.102.1 200811100001]
        org.netbeans.modules.javascript.editing/1 [0.86.1 200811100001]
        org.netbeans.modules.javascript.refactoring/1 [0.60.1 200811100001]
        org.netbeans.modules.javascript.hints/1 [0.35.1 200811100001]
        org.netbeans.swing.dirchooser [1.2.1 200811100001]
        org.netbeans.modules.editor.bookmarks/1 [1.6.1 200811100001]
        org.netbeans.modules.sendopts/2 [2.3.1 200811100001]
        org.netbeans.modules.utilities/1 [1.29.1 200811100001]
        org.netbeans.modules.httpserver/2 [2.9.1.42 42 200811100001]
        org.netbeans.modules.usersguide/1 [1.22.1 200811100001]
        org.netbeans.core.execution/1 [1.12.1.1 200811100001]
        org.netbeans.modules.masterfs/2 [2.15.1 200811100001]
        org.netbeans.modules.favorites/1 [1.14.1 200811100001]
        org.netbeans.modules.projectui [1.15.1.1.6 1 200811100001]
        org.netbeans.modules.editor.plain.lib/1 [1.6.1 200811100001]
        org.netbeans.modules.editor.plain/2 [1.7.1 200811100001]
        org.netbeans.modules.autoupdate.services [1.5.1 200811100001]
        org.netbeans.modules.autoupdate.ui [1.5.1 200811100001]
        org.netbeans.modules.settings/1 [1.15.1 200811100001]
        org.netbeans.core.windows/2 [2.12.1.1 200811100001]
        org.netbeans.modules.core.kit [1.2.1 200811100001]
        org.netbeans.core.ide/1 [1.12.1 200811100001]
        org.netbeans.modules.editor.macros/0 [1.2.1.1.8 1 200811100001]
        org.netbeans.modules.extbrowser/1 [1.13.1 200811100001]
        org.netbeans.modules.defaults/1 [1.5.1 200811100001]
        org.netbeans.modules.ide.kit [1.5.1 200811100001]
        org.netbeans.modules.javascript.kit/1 [0.104.1 200811100001]
        org.netbeans.modules.xml.axi [1.4.1 200811100001]
        org.netbeans.modules.xml [1.2.1 200811100001]
        org.netbeans.libs.xerces/1 [1.12.1 2.8.0 200811100001]
        org.netbeans.modules.xml.tax/2 [1.16.1 200811100001]
        org.netbeans.modules.xml.tools/2 [1.16.1 200811100001]
        org.netbeans.modules.xml.schema.completion [1.2.1 200811100001]
        org.netbeans.modules.properties/1 [1.25.1 200811100001]
        org.netbeans.modules.web.flyingsaucer/1 [1.2.1 1 200811100001]
        org.netbeans.core.output2/1 [1.10.1.1 1 200811100001]
        org.netbeans.modules.css.visual/1 [2.3.1 200811100001]
        org.netbeans.modules.xsl/1 [1.16.1 200811100001]
        org.netbeans.modules.languages.manifest [1.5.1 200811100001]
        org.netbeans.spi.palette/1 [1.14.1 200811100001]
        org.netbeans.modules.html/1 [1.24.1 200811100001]
        org.netbeans.modules.languages.bat [1.5.1 200811100001]
        org.netbeans.modules.languages.sh [1.6.1 200811100001]
        org.netbeans.modules.editor.kit [1.2.1 200811100001]
        org.netbeans.libs.javacapi [0.7.1.1 1 200811100001]
        org.netbeans.libs.javacimpl/1 [0.9.1.7 7 200811100001]
        org.netbeans.modules.java.lexer/1 [1.4.1 200811100001]
        org.netbeans.modules.java.source [0.40.1.7.7 7 200811100001]
        org.netbeans.modules.projectui.buildmenu/1 [1.0.1 1 200811100001]
        org.netbeans.libs.ini4j/1 [1.2.1 0.9 200811100001]
        org.netbeans.modules.db.drivers [1.2.1 200811100001]
        org.netbeans.modules.java.sourceui/1 [1.6.1.1.7 1 200811100001]
        org.netbeans.modules.java.editor.lib/1 [1.9.1 200811100001]
        org.netbeans.modules.java.editor/1 [2.13.1.4.1.1.6 4 200811100001]
        org.netbeans.modules.java.hints/1 [1.23.1.3.4.6 3 200811100001]
        org.netbeans.modules.javadoc/1 [1.24.1.6 200811100001]
        org.netbeans.modules.cnd.utils [1.1.1 1 200811100001]
        org.netbeans.modules.cnd.dwarfdump [1.4.1 200811100001]
        org.netbeans.modules.cnd/1 [1.4.1 1 200811100001]
        org.netbeans.modules.ant.grammar/1 [1.17.1 200811100001]
        org.netbeans.libs.jsch/1 [1.7.1 0.1.39 200811100001]
        org.netbeans.modules.cnd.repository.api/1 [1.4.1 1 200811100001]
        org.netbeans.modules.cnd.api.project/1 [1.4.1 200811100001]
        org.netbeans.modules.cnd.antlr [2.9.1 200811100001]
        org.netbeans.modules.cnd.apt [1.4.1 1 200811100001]
        org.netbeans.modules.cnd.editor/1 [1.4.1 1 200811100001]
        org.netbeans.modules.cnd.api.model/1 [1.4.1 1 200811100001]
        org.netbeans.modules.cnd.modelutil/1 [1.4.1 1 200811100001]
        org.netbeans.modules.cnd.model.services/1 [1.4.1 1 200811100001]
        org.netbeans.modules.cnd.modelimpl/1 [1.4.1 1 200811100001]
        org.netbeans.modules.cnd.modelui [1.4.1 200811100001]
        org.netbeans.modules.db/1 [1.30.1.30 30 200811100001]
        org.netbeans.modules.cnd.repository [1.4.1 200811100001]
        org.netbeans.modules.cnd.folding [1.4.1 1 200811100001]
        org.netbeans.libs.svnClientAdapter/1 [1.4.1 0.9 200811100001]
        org.netbeans.modules.i18n/1 [1.24.1 200811100001]
        org.netbeans.modules.websvc.jaxwsmodelapi/1 [1.0.1 200811100001]
        org.netbeans.modules.websvc.saas.api [1.1.1 200811100001]
        org.netbeans.modules.websvc.saas.ui [1.1.1 200811100001]
        org.netbeans.modules.dbapi [1.7.1.30 200811100001]
        org.netbeans.modules.uml.parser.java/1 [1.4 200811100001]
        org.netbeans.lib.cvsclient/1 [1.17.1 200811100001]
        org.netbeans.modules.versioning/1 [1.8.1.1.42.1 1 200811100001]
        org.netbeans.modules.versioning.util [1.2.1.42.1 200811100001]
        org.netbeans.modules.versioning.system.cvss/1 [1.11.1.1.42.1 1 200811100001]
        org.netbeans.modules.java.debug [1.4.1.1.7.7 1 200811100001]
        org.netbeans.modules.tasklist.ui/1 [1.2.1.1 200811100001]
        org.netbeans.modules.websvc.saas.services.zillow [1.1.1 200811100001]
        org.netbeans.modules.java.navigation/1 [1.9.1 200811100001]
        org.netbeans.modules.refactoring.java/1 [1.4.1 200811100001]
        org.netbeans.core.multiview/1 [1.12.1 200811100001]
        org.netbeans.modules.beans/1 [1.20.1.1.4 1 200811100001]
        org.netbeans.modules.cnd.makeproject/1 [1.4.1 1 200811100001]
        org.netbeans.modules.cnd.remote [1.0.1 1 200811100001]
        org.netbeans.modules.java.api.common/0 [1.3.1 200811100001]
        org.netbeans.modules.db.sql.visualeditor/1 [2.3.1.30 200811100001]
        org.netbeans.spi.debugger.ui/1 [2.14.1 200811100001]
        org.netbeans.modules.ant.debugger/1 [1.10.1.2 200811100001]
        org.netbeans.modules.updatecenters/1 [1.13.1 200811100001]
        org.netbeans.modules.db.dataview [1.0.1 200811100001]
        org.netbeans.modules.db.core [1.7.1 200811100001]
        org.netbeans.modules.db.mysql [0.1.1 2 200811100001]
        org.netbeans.modules.ant.freeform/1 [1.18.1 200811100001]
        org.netbeans.modules.ant.browsetask [1.14.1 200811100001]
        org.netbeans.modules.ant.kit [1.2.1 200811100001]
        org.netbeans.api.debugger.jpda/2 [2.16.1 200811100001]
        org.netbeans.modules.cnd.gotodeclaration [1.4.1 200811100001]
        org.netbeans.libs.junit4 [1.3.1 200811100001]
        org.netbeans.libs.jna/1 [1.1.1 200811100001]
        org.netbeans.core.nativeaccess/1 [1.1.1 200811100001]
        org.netbeans.modules.j2ee.metadata/0 [1.5.1 200811100001]
        org.netbeans.modules.j2ee.metadata.model.support/1 [1.2.1 200811100001]
        org.netbeans.modules.cnd.callgraph [1.0.1 200811100001]
        org.netbeans.modules.cnd.navigation [1.4.1 200811100001]
        org.netbeans.modules.j2ee.persistenceapi/1 [1.5.1 1 200811100001]
        org.netbeans.modules.reglib [1.2.1 200811100001]
        org.netbeans.modules.websvc.saas.services.strikeiron [1.1.1 200811100001]
        org.netbeans.modules.gototest/1 [1.2.1 200811100001]
        org.netbeans.modules.junit/2 [2.28.2 200811100001]
        org.netbeans.modules.debugger.jpda.ant [1.10.1 200811100001]
        org.netbeans.modules.java.j2seproject/1 [1.21.1.45 45 200811100001]
        org.jdesktop.beansbinding/1 [1.1.1 1.2.1 200811100001]
        org.netbeans.modules.java.examples/1 [1.9.1 200811100001]
        org.netbeans.modules.javawebstart [1.2.1 200811100001]
        org.netbeans.modules.cnd.refactoring [1.1.1 200811100001]
        org.netbeans.modules.websvc.saas.services.yahoo [1.1.1 200811100001]
        org.netbeans.modules.print [6.5.1 200811100001]
        org.netbeans.modules.cnd.debugger.gdb/1 [1.4.1 2 200811100001]
        org.netbeans.modules.websvc.saas.services.flickr [1.1.1 200811100001]
        org.netbeans.modules.websvc.saas.services.weatherbug [1.1.1 200811100001]
        org.netbeans.modules.websvc.saas.services.zvents [1.1.1 200811100001]
        org.netbeans.modules.websvc.saas.services.delicious [1.1.1 200811100001]
        org.netbeans.modules.websvc.saas.services.google [1.1.1 200811100001]
        org.netbeans.modules.websvc.saas.services.amazon [1.1.1 200811100001]
        org.netbeans.modules.websvc.saas.codegen [1.1.1 200811100001]
        org.netbeans.modules.websvc.saas.services.facebook [1.1.1 200811100001]
        org.netbeans.modules.websvc.saas.kit [1.0.1 200811100001]
        org.netbeans.modules.cnd.discovery [1.4.1 200811100001]
        org.netbeans.modules.cnd.dwarfdiscovery [1.4.1 200811100001]
        org.netbeans.modules.welcome/1 [1.14.1 200811100001]
        org.netbeans.modules.registration [1.1.1 200811100001]
        org.netbeans.lib.uihandler [1.16.1 200811100001]
        org.netbeans.modules.uihandler [2.6.1 200811100001]
        org.netbeans.modules.uihandler.exceptionreporter [1.2.1 200811100001]
        org.netbeans.modules.ide.branding/1 [1.6.1 200811100001]
        org.netbeans.modules.ide.branding.kit [1.2.1 200811100001]
        org.netbeans.modules.db.metadata.model/0 [0.1.1 200811100001]
        org.netbeans.modules.db.sql.editor [1.7.1.30 200811100001]
        org.netbeans.modules.db.kit [1.3.1 200811100001]
        org.netbeans.modules.uml.drawingarea/1 [1.4 200811100001]
        org.netbeans.modules.uml.reporting/1 [1.4 200811100001]
        org.netbeans.modules.mercurial [1.7.1.42.1 200811100001]
        org.netbeans.modules.languages.refactoring/0 [1.0.1.1 1 200811100001]
        org.netbeans.modules.uml.integration/1 [1.4.0 200811100001]
        org.netbeans.modules.uml.diagrams/1 [1.0 200811100001]
        org.netbeans.modules.editor.mimelookup.impl/1 [1.3.1 200811100001]
        org.netbeans.modules.tasklist.projectint/1 [1.2.1 200811100001]
        org.netbeans.modules.java.freeform/1 [1.9.1 200811100001]
        org.netbeans.modules.java.source.ant [1.2.1.1.7 1 200811100001]
        org.netbeans.modules.java.helpset/1 [1.2.1 200811100001]
        org.netbeans.modules.java.kit [1.3.1 200811100001]
        org.netbeans.modules.uml.designpattern/1 [1.4 200811100001]
        org.netbeans.modules.utilities.project/1 [1.9.1 200811100001]
        org.netbeans.modules.cnd.completion/1 [1.4.1 1 200811100001]
        org.netbeans.modules.subversion [1.4.1 200811100001]
        org.netbeans.modules.properties.syntax/1 [1.20.1 200811100001]
        org.netbeans.modules.cnd.classview/1 [1.4.1 1 200811100001]
        org.netbeans.modules.cnd.highlight [1.4.1 200811100001]
        org.netbeans.modules.cnd.modeldiscovery [1.4.1 200811100001]
        org.netbeans.modules.cnd.qnavigator/1 [1.4.1 200811100001]
        org.netbeans.modules.asm [1.1.1 200811100001]
        org.netbeans.modules.cnd.kit [1.4.1 200811100001]
        org.netbeans.modules.tasklist.todo/1 [1.3.1.1 1 200811100001]
        org.netbeans.libs.freemarker/1 [2.5.1 238 200811100001]
        org.netbeans.upgrader [4.8.1 200811100001]
        org.netbeans.modules.schema2beans/1 [1.18.1 200811100001]
        org.netbeans.modules.uml.codegen [1.2 200811100001]
        org.netbeans.modules.uml.kit [1.4 200811100001]
        org.netbeans.modules.progress.ui [1.2.1 200811100001]
        org.netbeans.modules.lexer.nbbridge/1 [1.4.1.1 200811100001]
        org.netbeans.modules.localhistory [1.3.1 200811100001]
        org.netbeans.modules.tasklist.kit [1.2.1 200811100001]
WARNING [org.netbeans.modules.mercurial]: Could not load the file /home/fabricio/.hgrc. Falling back on hg defaults.
SEVERE [org.netbeans.modules.mercurial]: execEnv():  execEnv(): IOException java.io.IOException: Cannot run program
"hg": java.io.IOException: error=2, Arquivo ou diretório não encontrado
Diagnostic information
Input arguments:
        -Djdk.home=/usr/lib/jvm/java
        -Dnetbeans.system_http_proxy=DIRECT
        -Dnetbeans.system_http_non_proxy_hosts=
       
-Dnetbeans.dirs=/usr/local/netbeans-6.5/nb6.5:/usr/local/netbeans-6.5/ide10:/usr/local/netbeans-6.5/websvccommon1:/usr/local/netbeans-6.5/gsf1:/usr/local/netbeans-6.5/cnd2:
        -Dnetbeans.home=/usr/local/netbeans-6.5/platform9
        -Dnetbeans.importclass=org.netbeans.upgrade.AutoUpgrade
        -Dnetbeans.accept_license_class=org.netbeans.license.AcceptLicense
        -Xmx402m
        -Xverify:none
        -Xss2m
        -Xms32m
        -XX:PermSize=32m
        -XX:MaxPermSize=200m
        -Dapple.laf.useScreenMenuBar=true
        -Dsun.java2d.noddraw=true
Compiler: HotSpot 64-Bit Server Compiler
Heap memory usage: initial 32,0MB maximum 357,4MB
Non heap memory usage: initial 34,4MB maximum 248,0MB
Garbage collector: PS Scavenge (Collections=8 Total time spent=0s)
Garbage collector: PS MarkSweep (Collections=0 Total time spent=0s)
Classes: loaded=6435 total loaded=6435 unloaded 0
INFO [org.netbeans.core.ui.warmup.DiagnosticTask]: Total memory 2.109.587.456
WARNING [org.openide.filesystems.Ordering]: Not all children in Menu/Tools/ marked with the position attribute:
[PaletteManager], but some are: [org-openide-actions-ToolsAction.instance, Separator1.instance,
JavaPlatformsCustomizerAction.instance, VariablesCustomizerAction.instance, LibrariesCustomizerAction.instance,
org-netbeans-modules-favorites-templates-TemplatesAction.instance,
org-netbeans-modules-xml-catalog-CatalogAction.instance, Separator2.instance,
org-netbeans-modules-autoupdate-ui-actions-PluginManagerAction.shadow, Separator3.instance,
org-netbeans-modules-options-OptionsWindowAction.shadow]
java.lang.NullPointerException
        at org.netbeans.modules.cnd.modelimpl.csm.NamespaceImpl.findUidsByPrefix(NamespaceImpl.java:250)
        at org.netbeans.modules.cnd.modelimpl.impl.services.SelectImpl.analyzeFilter(SelectImpl.java:175)
        at org.netbeans.modules.cnd.modelimpl.impl.services.SelectImpl.getDeclarations(SelectImpl.java:119)
        at org.netbeans.modules.cnd.api.model.services.CsmSelect$Default.getDeclarations(CsmSelect.java:157)
        at
org.netbeans.modules.cnd.completion.csm.CsmProjectContentResolver.filterDeclarations(CsmProjectContentResolver.java:1224)
        at
org.netbeans.modules.cnd.completion.csm.CsmProjectContentResolver.getNamespaceMembers(CsmProjectContentResolver.java:1194)
        at
org.netbeans.modules.cnd.completion.csm.CsmProjectContentResolver.getNamespaceMembers(CsmProjectContentResolver.java:1179)
        at
org.netbeans.modules.cnd.completion.csm.CsmProjectContentResolver.getNamespaceFunctions(CsmProjectContentResolver.java:832)
        at
org.netbeans.modules.cnd.completion.csm.CsmProjectContentResolver.getNamespaceFunctions(CsmProjectContentResolver.java:823)
        at
org.netbeans.modules.cnd.completion.csm.CsmProjectContentResolver$2.getResults(CsmProjectContentResolver.java:417)
        at
org.netbeans.modules.cnd.completion.csm.CsmProjectContentResolver.getLibElements(CsmProjectContentResolver.java:371)
        at
org.netbeans.modules.cnd.completion.csm.CsmProjectContentResolver.getLibFunctions(CsmProjectContentResolver.java:338)
        at org.netbeans.modules.cnd.completion.csm.CompletionResolverImpl.getLibFunctions(CompletionResolverImpl.java:845)
        at org.netbeans.modules.cnd.completion.csm.CompletionResolverImpl.resolveContext(CompletionResolverImpl.java:532)
        at org.netbeans.modules.cnd.completion.csm.CompletionResolverImpl.resolveContext(CompletionResolverImpl.java:250)
        at org.netbeans.modules.cnd.completion.csm.CompletionResolverImpl.resolve(CompletionResolverImpl.java:185)
        at
org.netbeans.modules.cnd.completion.cplusplus.ext.CsmCompletionQuery$Context.resolveItem(CsmCompletionQuery.java:1696)
        at
org.netbeans.modules.cnd.completion.cplusplus.ext.CsmCompletionQuery$Context.resolveExp(CsmCompletionQuery.java:1040)
        at org.netbeans.modules.cnd.completion.cplusplus.ext.CsmCompletionQuery.getResult(CsmCompletionQuery.java:297)
        at org.netbeans.modules.cnd.completion.cplusplus.ext.CsmCompletionQuery.query(CsmCompletionQuery.java:279)
        at org.netbeans.modules.cnd.completion.csm.CompletionUtilities.findItemAtCaretPos(CompletionUtilities.java:156)
        at org.netbeans.modules.cnd.completion.impl.xref.ReferencesSupport.findDeclaration(ReferencesSupport.java:358)
        at org.netbeans.modules.cnd.completion.impl.xref.ReferencesSupport.findDeclaration(ReferencesSupport.java:308)
        at org.netbeans.modules.cnd.completion.impl.xref.ReferencesSupport.findReferencedObject(ReferencesSupport.java:201)
        at org.netbeans.modules.cnd.completion.impl.xref.ReferenceImpl.getReferencedObject(ReferenceImpl.java:75)
        at org.netbeans.modules.cnd.highlight.semantic.ModelUtils$FieldReferenceCollector.visit(ModelUtils.java:104)
        at org.netbeans.modules.cnd.highlight.semantic.SemanticHighlighter$2.visit(SemanticHighlighter.java:220)
        at org.netbeans.modules.cnd.completion.impl.xref.FileReferencesImpl._accept(FileReferencesImpl.java:138)
        at org.netbeans.modules.cnd.completion.impl.xref.FileReferencesImpl.accept(FileReferencesImpl.java:95)
        at org.netbeans.modules.cnd.completion.impl.xref.FileReferencesImpl.accept(FileReferencesImpl.java:89)
        at org.netbeans.modules.cnd.highlight.semantic.SemanticHighlighter.update(SemanticHighlighter.java:213)
        at org.netbeans.modules.cnd.highlight.semantic.SemanticHighlighter.update(SemanticHighlighter.java:151)
        at org.netbeans.modules.cnd.highlight.semantic.SemanticHighlighter.run(SemanticHighlighter.java:248)
        at org.netbeans.modules.cnd.model.tasks.CsmFileTaskFactory$3.run(CsmFileTaskFactory.java:341)
        at org.netbeans.modules.cnd.model.tasks.CsmFileTaskFactory$CsmSafeRunnable.run(CsmFileTaskFactory.java:375)
        at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:572)
        at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:997)
java.lang.NullPointerException
        at org.netbeans.modules.cnd.modelimpl.csm.NamespaceImpl.findUidsByPrefix(NamespaceImpl.java:250)
        at org.netbeans.modules.cnd.modelimpl.impl.services.SelectImpl.analyzeFilter(SelectImpl.java:175)
        at org.netbeans.modules.cnd.modelimpl.impl.services.SelectImpl.getDeclarations(SelectImpl.java:119)
        at org.netbeans.modules.cnd.api.model.services.CsmSelect$Default.getDeclarations(CsmSelect.java:157)
        at
org.netbeans.modules.cnd.completion.csm.CsmProjectContentResolver.filterDeclarations(CsmProjectContentResolver.java:1224)
        at
org.netbeans.modules.cnd.completion.csm.CsmProjectContentResolver.getNamespaceMembers(CsmProjectContentResolver.java:1194)
        at
org.netbeans.modules.cnd.completion.csm.CsmProjectContentResolver.getNamespaceMembers(CsmProjectContentResolver.java:1179)
        at
org.netbeans.modules.cnd.completion.csm.CsmProjectContentResolver.getNamespaceClassesEnums(CsmProjectContentResolver.java:867)
        at
org.netbeans.modules.cnd.completion.csm.CsmProjectContentResolver$3.getResults(CsmProjectContentResolver.java:423)
        at
org.netbeans.modules.cnd.completion.csm.CsmProjectContentResolver.getLibElements(CsmProjectContentResolver.java:371)
        at
org.netbeans.modules.cnd.completion.csm.CsmProjectContentResolver.getLibClassesEnums(CsmProjectContentResolver.java:343)
        at
org.netbeans.modules.cnd.completion.csm.CompletionResolverImpl.getLibClassesEnums(CompletionResolverImpl.java:823)
        at org.netbeans.modules.cnd.completion.csm.CompletionResolverImpl.resolveContext(CompletionResolverImpl.java:509)
        at org.netbeans.modules.cnd.completion.csm.CompletionResolverImpl.resolveContext(CompletionResolverImpl.java:250)
        at org.netbeans.modules.cnd.completion.csm.CompletionResolverImpl.resolve(CompletionResolverImpl.java:185)
        at
org.netbeans.modules.cnd.completion.cplusplus.ext.CsmCompletionQuery$Context.resolveItem(CsmCompletionQuery.java:1123)
        at
org.netbeans.modules.cnd.completion.cplusplus.ext.CsmCompletionQuery$Context.resolveExp(CsmCompletionQuery.java:1040)
        at org.netbeans.modules.cnd.completion.cplusplus.ext.CsmCompletionQuery.getResult(CsmCompletionQuery.java:297)
        at org.netbeans.modules.cnd.completion.cplusplus.ext.CsmCompletionQuery.query(CsmCompletionQuery.java:279)
        at org.netbeans.modules.cnd.completion.csm.CompletionUtilities.findItemAtCaretPos(CompletionUtilities.java:156)
        at org.netbeans.modules.cnd.completion.impl.xref.ReferencesSupport.findDeclaration(ReferencesSupport.java:358)
        at org.netbeans.modules.cnd.completion.impl.xref.ReferencesSupport.findDeclaration(ReferencesSupport.java:304)
        at org.netbeans.modules.cnd.completion.impl.xref.ReferencesSupport.findReferencedObject(ReferencesSupport.java:201)
        at org.netbeans.modules.cnd.completion.impl.xref.ReferenceImpl.getReferencedObject(ReferenceImpl.java:75)
        at org.netbeans.modules.cnd.highlight.semantic.ModelUtils$FieldReferenceCollector.visit(ModelUtils.java:104)
        at org.netbeans.modules.cnd.highlight.semantic.SemanticHighlighter$2.visit(SemanticHighlighter.java:220)
        at org.netbeans.modules.cnd.completion.impl.xref.FileReferencesImpl._accept(FileReferencesImpl.java:138)
        at org.netbeans.modules.cnd.completion.impl.xref.FileReferencesImpl.accept(FileReferencesImpl.java:95)
        at org.netbeans.modules.cnd.completion.impl.xref.FileReferencesImpl.accept(FileReferencesImpl.java:89)
        at org.netbeans.modules.cnd.highlight.semantic.SemanticHighlighter.update(SemanticHighlighter.java:213)
        at org.netbeans.modules.cnd.highlight.semantic.SemanticHighlighter.update(SemanticHighlighter.java:151)
        at org.netbeans.modules.cnd.highlight.semantic.SemanticHighlighter.run(SemanticHighlighter.java:248)
        at org.netbeans.modules.cnd.model.tasks.CsmFileTaskFactory$3.run(CsmFileTaskFactory.java:341)
        at org.netbeans.modules.cnd.model.tasks.CsmFileTaskFactory$CsmSafeRunnable.run(CsmFileTaskFactory.java:375)
        at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:572)
        at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:997)
WARNING [org.openide.loaders.FolderLookup]
Bad file: MultiFileObject@435c41b[Services/IndentEngine/org-netbeans-modules-cnd-editor-cplusplus-CCIndentEngine.settings]
msg
msg
msg
Bad file: MultiFileObject@435c41b[Services/IndentEngine/org-netbeans-modules-cnd-editor-cplusplus-CCIndentEngine.settings]
Caused: java.io.InvalidClassException: org.netbeans.modules.cnd.editor.cplusplus.CCIndentEngine; local class
incompatible: stream classdesc serialVersionUID = -4453200218681118905, local class serialVersionUID = 28226662902865241
        at java.io.ObjectStreamClass.initNonProxy(ObjectStreamClass.java:579)
        at java.io.ObjectInputStream.readNonProxyDesc(ObjectInputStream.java:1600)
        at java.io.ObjectInputStream.readClassDesc(ObjectInputStream.java:1513)
        at java.io.ObjectInputStream.readOrdinaryObject(ObjectInputStream.java:1749)
        at java.io.ObjectInputStream.readObject0(ObjectInputStream.java:1346)
        at java.io.ObjectInputStream.readObject(ObjectInputStream.java:368)
        at
org.netbeans.modules.settings.convertors.XMLSettingsSupport$SettingsRecognizer.readSerial(XMLSettingsSupport.java:544)
        at
org.netbeans.modules.settings.convertors.XMLSettingsSupport$SettingsRecognizer.instanceCreate(XMLSettingsSupport.java:576)
        at
org.netbeans.modules.settings.convertors.SerialDataConvertor$SettingsInstance.instanceCreate(SerialDataConvertor.java:420)
[catch] at org.openide.loaders.FolderLookup$ICItem.getInstance(FolderLookup.java:584)
        at org.openide.util.lookup.AbstractLookup$R.allInstances(AbstractLookup.java:974)
        at org.openide.util.lookup.ProxyLookup$R.computeResult(ProxyLookup.java:548)
        at org.openide.util.lookup.ProxyLookup$R.allInstances(ProxyLookup.java:489)
        at org.openide.util.lookup.ProxyLookup$R.computeResult(ProxyLookup.java:548)
        at org.openide.util.lookup.ProxyLookup$R.allInstances(ProxyLookup.java:489)
        at
org.netbeans.modules.editor.impl.ComplexValueSettingsFactory.getIndentEngine(ComplexValueSettingsFactory.java:113)
        at
org.netbeans.modules.editor.impl.ComplexValueSettingsFactory.getFormatterValue(ComplexValueSettingsFactory.java:89)
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
        at java.lang.reflect.Method.invoke(Method.java:616)
        at org.netbeans.modules.editor.lib.SettingsConversions.callFactory(SettingsConversions.java:194)
        at org.netbeans.editor.BaseDocument.getLegacyFormatter(BaseDocument.java:595)
        at org.netbeans.editor.BaseDocument.getFormatter(BaseDocument.java:610)
        at org.netbeans.editor.ext.ExtKit$ExtDefaultKeyTypedAction.checkIndentHotChars(ExtKit.java:1036)
        at org.netbeans.modules.cnd.editor.cplusplus.CCKit$CCDefaultKeyTypedAction.checkIndentHotChars(CCKit.java:347)
        at org.netbeans.editor.ext.ExtKit$ExtDefaultKeyTypedAction.actionPerformed(ExtKit.java:1023)
        at org.netbeans.editor.BaseAction.actionPerformed(BaseAction.java:297)
        at javax.swing.SwingUtilities.notifyAction(SwingUtilities.java:1661)
        at javax.swing.JComponent.processKeyBinding(JComponent.java:2860)
        at javax.swing.JComponent.processKeyBindings(JComponent.java:2895)
        at javax.swing.JComponent.processKeyEvent(JComponent.java:2823)
        at java.awt.Component.processEvent(Component.java:5878)
        at java.awt.Container.processEvent(Container.java:2105)
        at java.awt.Component.dispatchEventImpl(Component.java:4462)
        at java.awt.Container.dispatchEventImpl(Container.java:2163)
        at java.awt.Component.dispatchEvent(Component.java:4288)
        at java.awt.KeyboardFocusManager.redispatchEvent(KeyboardFocusManager.java:1881)
        at java.awt.DefaultKeyboardFocusManager.dispatchKeyEvent(DefaultKeyboardFocusManager.java:742)
        at java.awt.DefaultKeyboardFocusManager.preDispatchKeyEvent(DefaultKeyboardFocusManager.java:1007)
        at java.awt.DefaultKeyboardFocusManager.typeAheadAssertions(DefaultKeyboardFocusManager.java:879)
        at java.awt.DefaultKeyboardFocusManager.dispatchEvent(DefaultKeyboardFocusManager.java:706)
        at java.awt.Component.dispatchEventImpl(Component.java:4332)
        at java.awt.Container.dispatchEventImpl(Container.java:2163)
        at java.awt.Window.dispatchEventImpl(Window.java:2478)
        at java.awt.Component.dispatchEvent(Component.java:4288)
        at java.awt.EventQueue.dispatchEvent(EventQueue.java:604)
        at org.netbeans.core.TimableEventQueue.dispatchEvent(TimableEventQueue.java:104)
        at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:275)
        at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:200)
        at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:190)
        at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:185)
        at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:177)
        at java.awt.EventDispatchThread.run(EventDispatchThread.java:138)
Content: 
<?xml version="1.0"?>
<!DOCTYPE settings PUBLIC "-//NetBeans//DTD Session settings 1.0//EN"
"http://www.netbeans.org/dtds/sessionsettings-1_0.dtd">
<settings version="1.0">
    <module name="org.netbeans.modules.cnd.editor/1" spec="1.3.1"/>
    <instanceof class="java.io.Serializable"/>
    <instanceof class="java.lang.Object"/>
    <instanceof class="org.netbeans.modules.cnd.editor.cplusplus.BaseIndentEngine"/>
    <instanceof class="org.netbeans.modules.cnd.editor.cplusplus.CCIndentEngine"/>
    <instanceof class="org.netbeans.modules.editor.FormatterIndentEngine"/>
    <instanceof class="org.openide.ServiceType"/>
    <instanceof class="org.openide.text.IndentEngine"/>
    <instanceof class="org.openide.util.HelpCtx$Provider"/>
    <serialdata class="org.netbeans.modules.cnd.editor.cplusplus.CCIndentEngine">
        ACED0005737200386F72672E6E65746265616E732E6D6F64756C65732E636E642E656469746F722E63706C7573706C75732E
        4343496E64656E74456E67696E65C2330DFEC3D1EF470200007872003A6F72672E6E65746265616E732E6D6F64756C65732E
        636E642E656469746F722E63706C7573706C75732E42617365496E64656E74456E67696E65F4F9D6F73B6995610200007872
        00316F72672E6E65746265616E732E6D6F64756C65732E656469746F722E466F726D6174746572496E64656E74456E67696E
        65D0B39439D20F2F880300025A000A657870616E645461627349000C7370616365735065725461627872001D6F72672E6F70
        656E6964652E746578742E496E64656E74456E67696E65895C2F0CCE512365020000787200176F72672E6F70656E6964652E
        536572766963655479706596E52C9645EE60940200014C00046E616D657400124C6A6176612F6C616E672F537472696E673B
        787070010000000478
    </serialdata>
</settings>
ALL [null]: Source:
MultiFileObject@435c41b[Services/IndentEngine/org-netbeans-modules-cnd-editor-cplusplus-CCIndentEngine.settings]
ALL [null]: Cannot read class: org.netbeans.modules.cnd.editor.cplusplus.CCIndentEngine
ALL [null]: Bad file:
MultiFileObject@435c41b[Services/IndentEngine/org-netbeans-modules-cnd-editor-cplusplus-CCIndentEngine.settings]
SEVERE [global]
java.lang.NullPointerException
        at org.openide.windows.TopComponent.processKeyBinding(TopComponent.java:984)
        at javax.swing.JComponent.processKeyBindings(JComponent.java:2906)
        at javax.swing.JComponent.processKeyEvent(JComponent.java:2823)
        at java.awt.Component.processEvent(Component.java:5878)
        at java.awt.Container.processEvent(Container.java:2105)
        at java.awt.Component.dispatchEventImpl(Component.java:4462)
        at java.awt.Container.dispatchEventImpl(Container.java:2163)
        at java.awt.Component.dispatchEvent(Component.java:4288)
        at java.awt.KeyboardFocusManager.redispatchEvent(KeyboardFocusManager.java:1881)
        at java.awt.DefaultKeyboardFocusManager.dispatchKeyEvent(DefaultKeyboardFocusManager.java:742)
        at java.awt.DefaultKeyboardFocusManager.preDispatchKeyEvent(DefaultKeyboardFocusManager.java:1007)
        at java.awt.DefaultKeyboardFocusManager.typeAheadAssertions(DefaultKeyboardFocusManager.java:879)
        at java.awt.DefaultKeyboardFocusManager.dispatchEvent(DefaultKeyboardFocusManager.java:706)
        at java.awt.Component.dispatchEventImpl(Component.java:4332)
        at java.awt.Container.dispatchEventImpl(Container.java:2163)
        at java.awt.Window.dispatchEventImpl(Window.java:2478)
        at java.awt.Component.dispatchEvent(Component.java:4288)
        at java.awt.EventQueue.dispatchEvent(EventQueue.java:604)
        at org.netbeans.core.TimableEventQueue.dispatchEvent(TimableEventQueue.java:104)
[catch] at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:275)
        at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:200)
        at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:190)
        at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:185)
        at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:177)
        at java.awt.EventDispatchThread.run(EventDispatchThread.java:138)
Comment 1 skarllot 2008-12-06 23:00:08 UTC
Created attachment 74655 [details]
Error screenshot
Comment 2 skarllot 2008-12-06 23:07:06 UTC
When the project has simple incudes the code completion appears to work well even after the alert message.
But when I adds gtkmm.h or its derivatives, all code completion stops to work even "std" namespace.
Comment 3 skarllot 2008-12-06 23:26:08 UTC
I tried following, renamed ~/.netbeans to ~/.netbeans.no to force settings creation, and started Netbeans then
everything works well.
I think that the problem was settings importation from Netbeans 6.1.
I yet have ~/.netbeans.no, will not delete because can help to resolve this issue.
Comment 4 Dusan Balek 2008-12-08 07:48:59 UTC
Reassigning to cnd.
Comment 5 Alexander Simon 2008-12-16 15:53:38 UTC
updated page:
http://wiki.netbeans.org/Login.jsp?redirect=NB65SettingsMigration
Comment 6 Alexander Simon 2008-12-16 16:00:59 UTC
Reassigning to evaluate possibility to fix on NB 6.5 patch 2.
Comment 7 Jiri Skrivanek 2008-12-17 08:03:10 UTC
Too late to fix import in a patch. User installs 6.5, then imports settings, only then patches can be applied. You have
to fix it in your code (ignore/remove malicious settings).
Comment 8 Alexander Simon 2008-12-31 08:07:05 UTC
*** Issue 156177 has been marked as a duplicate of this issue. ***
Comment 9 Alexander Simon 2009-01-11 17:32:49 UTC
it affects only 6.5, but it makes no sense to include in any patches, so, please, use workaround:
${userdir}/config/Services/IndentEngine/org-netbeans-modules-cnd-editor-cplusplus-CIndentEngine.settings 
and
${userdir}/config/Services/IndentEngine/org-netbeans-modules-cnd-editor-cplusplus-CCIndentEngine.settings 
Comment 10 Alexander Simon 2009-01-11 17:33:52 UTC
sorry, forgot:
remove mentioned files.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo